Examples: query, "exact match", wildcard*, wild?ard, wild*rd
Fuzzy search: cake~ (finds cakes, bake)
Term boost: "red velvet"^4, chocolate^2
Field grouping: tags:(+work -"fun-stuff")
Escaping: Escape characters +-&|!(){}[]^"~*?:\ with \, e.g. \+
Range search: properties.timestamp:[1587729413488 TO *] (inclusive), properties.title:{A TO Z}(excluding A and Z)
Combinations: chocolate AND vanilla, chocolate OR vanilla, (chocolate OR vanilla) NOT "vanilla pudding"
Field search: properties.title:"The Title" AND text
Answered
Collecting Click Using Cached Click-8.0.1-Py3-None-Any.Whl (97 Kb)

Collecting click Using cached click-8.0.1-py3-none-any.whl (97 kB)And then:

ERROR: typer 0.3.2 has requirement click<7.2.0,>=7.1.1, but you'll have click 8.0.1 which is incompatible.Don’t know why it picked 8.0.1. Any pointers on how clearml agent installs requirements?

  
  
Posted 2 years ago
Votes Newest

Answers 5


Yeah but where’s the cache from? does it setup a pip cache anywhere?

  
  
Posted 2 years ago

So it makes sense it installs v8.0.1
(maybe originally you provided no version and it installed the latest one)
This is basically pip's doing the package version resolving

  
  
Posted 2 years ago

What do you have under the "installed packages" ?

  
  
Posted 2 years ago

It's the pip cache

  
  
Posted 2 years ago

It does have click==8.0.1

  
  
Posted 2 years ago
681 Views
5 Answers
2 years ago
one year ago
Tags